Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class Attribute

    java.lang.Object
      com.amazonaws.services.simpledb.model.Attribute

    public class Attribute

extends Object

Constructor Summary
`Attribute()` Default constructor for a new Attribute object.
`Attribute(String name, String value)` Constructs a new Attribute object.

Method Summary
`String` | `getAlternateNameEncoding()`
`String` | `getAlternateValueEncoding()`
`String` | `getName()` The name of the attribute.
`String` | `getValue()` The value of the attribute.
`void` | `setAlternateNameEncoding(String alternateNameEncoding)`
`void` | `setAlternateValueEncoding(String alternateValueEncoding)`
`void` | `setName(String name)` The name of the attribute.
`void` | `setValue(String value)` The value of the attribute.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Attribute` | `withAlternateNameEncoding(String alternateNameEncoding)`
`Attribute` | `withAlternateValueEncoding(String alternateValueEncoding)`
`Attribute` | `withName(String name)` The name of the attribute.
`Attribute` | `withValue(String value)` The value of the attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute()

  Default constructor for a new Attribute object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### Attribute

    public Attribute(String name,
                     String value)

  Constructs a new Attribute object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `name` - The name of the attribute.
    `value` - The value of the attribute.

Method Detail

### getName

    public String getName()

  The name of the attribute.

  Returns:
    The name of the attribute.

### setName

    public void setName(String name)

  The name of the attribute.

  Parameters:
    `name` - The name of the attribute.

### withName

    public Attribute withName(String name)

  The name of the attribute.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `name` - The name of the attribute.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAlternateNameEncoding

    public String getAlternateNameEncoding()

  Returns:

### setAlternateNameEncoding

    public void setAlternateNameEncoding(String alternateNameEncoding)

  Parameters:
    `alternateNameEncoding` -

### withAlternateNameEncoding

    public Attribute withAlternateNameEncoding(String alternateNameEncoding)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `alternateNameEncoding` -

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValue

    public String getValue()

  The value of the attribute.

  Returns:
    The value of the attribute.

### setValue

    public void setValue(String value)

  The value of the attribute.

  Parameters:
    `value` - The value of the attribute.

### withValue

    public Attribute withValue(String value)

  The value of the attribute.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `value` - The value of the attribute.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAlternateValueEncoding

    public String getAlternateValueEncoding()

  Returns:

### setAlternateValueEncoding

    public void setAlternateValueEncoding(String alternateValueEncoding)

  Parameters:
    `alternateValueEncoding` -

### withAlternateValueEncoding

    public Attribute withAlternateValueEncoding(String alternateValueEncoding)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `alternateValueEncoding` -

  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.